#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# Normal Distribution
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# 期待値(mean)を0、分散（sd）を１とすれば、標準正規分布における、有意水準（信頼水準）alpha%の場合の臨界値z_{alpha/2}を返します。
# alphaの値を変えて、さまざまな臨界値を計算しましょう。
mean <- 0 #　正規分布の期待値
sd <- 1 # 正規分布の分散

alpha <- 1　# 有意水準(%)
(z <- round(qnorm((100-alpha/2)/100, mean, sd), 2))

# alpha=1のときz=2.58、alpha=5のときz=1.96、alpha=10のときz=1.64となり、テキストの表9.1や表9.2に対応していることがわかります。

 

#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# Chi-squared(k) Distribution
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# 自由度kのカイ２乗分布における、臨界値z_{alpha}と有意水準alpha%の対応を返します。
k <- 1 # カイ２乗分布の自由度
alpha <- 1　# 有意水準(%)
(z <- round(qchisq((100-alpha)/100, k), 2))

# テキストの表9.3に対応していることを確認しよう。



#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# F(k,∞) Distribution
#%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
# F(k,∞) 分布の臨界値z_{alpha}と有意水準alpha%の対応を返します。
k <- 1 # F分布の１つ目の自由度
alpha <- 1　# 有意水準(%)
(z <- round(qf((100-alpha)/100, df1=k, df2=Inf), 2))

# テキストの表9.4に対応していることを確認しよう。



